UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
com.latencybusters.pdm.PDMSection Class Reference

The PDMSection class is an internal class used as a wrapper around the byte buffer to store a PDMField's value. More...

## Public Member Functions
| PDMSection (short type)
| The type of section identifying REQ or OPT and FIX or VAR. More...
virtual short | getType ()
| Gets the type of section identifying REQ or OPT and FIX or VAR. More...
virtual byte[] | createBuffer (int len)
| Creates and sets a new byte buffer of the given length. More...

## Properties
virtual byte[] | Buffer`[get, set]`
| Gets or sets the byte array to store the field value. More...

## Detailed Description

The PDMSection class is an internal class used as a wrapper around the byte buffer to store a PDMField's value.

## Constructor & Destructor Documentation

com.latencybusters.pdm.PDMSection.PDMSection | ( | short | type | ) |

The type of section identifying REQ or OPT and FIX or VAR.

Parameters

  type | the short indicating the section type

## Member Function Documentation

virtual byte [] com.latencybusters.pdm.PDMSection.createBuffer | ( | int | len | ) |
| virtual

Creates and sets a new byte buffer of the given length.

Parameters

  len | the length in bytes of the new byte array

Returns
  the new byte array

Referenced by com.latencybusters.pdm.PDMMessage.getFields(), and com.latencybusters.pdm.PDMField.isValueSet().

virtual short com.latencybusters.pdm.PDMSection.getType | ( |  | ) |
| virtual

Gets the type of section identifying REQ or OPT and FIX or VAR.

Returns
  the short indicating the section type

Referenced by com.latencybusters.pdm.PDMField.isValueSet().

## Property Documentation

virtual byte [] com.latencybusters.pdm.PDMSection.Buffer
| get set

Gets or sets the byte array to store the field value.

Values: the byte array

Referenced by com.latencybusters.pdm.PDMField.getBlobArrayValue(), com.latencybusters.pdm.PDMField.getBlobValue(), com.latencybusters.pdm.PDMField.getBooleanArrayValue(), com.latencybusters.pdm.PDMField.getBooleanValue(), com.latencybusters.pdm.PDMField.getDecimalArrayValue(), com.latencybusters.pdm.PDMField.getDecimalValue(), com.latencybusters.pdm.PDMField.getDoubleArrayValue(), com.latencybusters.pdm.PDMField.getDoubleValue(), com.latencybusters.pdm.PDMMessage.getFields(), com.latencybusters.pdm.PDMField.getFloatArrayValue(), com.latencybusters.pdm.PDMField.getFloatValue(), com.latencybusters.pdm.PDMField.getInt16ArrayValue(), com.latencybusters.pdm.PDMField.getInt16Value(), com.latencybusters.pdm.PDMField.getInt32ArrayValue(), com.latencybusters.pdm.PDMField.getInt32Value(), com.latencybusters.pdm.PDMField.getInt64ArrayValue(), com.latencybusters.pdm.PDMField.getInt64Value(), com.latencybusters.pdm.PDMField.getInt8ArrayValue(), com.latencybusters.pdm.PDMField.getInt8Value(), com.latencybusters.pdm.PDMField.getMessageArrayValue(), com.latencybusters.pdm.PDMField.getMessageValue(), com.latencybusters.pdm.PDMField.getStringArrayValue(), com.latencybusters.pdm.PDMField.getStringValue(), com.latencybusters.pdm.PDMField.getTimestampArrayValue(), com.latencybusters.pdm.PDMField.getTimestampValue(), com.latencybusters.pdm.PDMField.getUInt16ArrayValue(), com.latencybusters.pdm.PDMField.getUInt16Value(), com.latencybusters.pdm.PDMField.getUInt32ArrayValue(), com.latencybusters.pdm.PDMField.getUInt32Value(), com.latencybusters.pdm.PDMField.getUInt64ArrayValue(), com.latencybusters.pdm.PDMField.getUInt64Value(), com.latencybusters.pdm.PDMField.getUInt8ArrayValue(), com.latencybusters.pdm.PDMField.getUInt8Value(), com.latencybusters.pdm.PDMField.getValue(), com.latencybusters.pdm.PDMField.isValueSet(), and com.latencybusters.pdm.PDMField.setValue().

The documentation for this class was generated from the following file:

- PDMSection.cs